/*
 ****************************************************************************
 *
 *  (c) Copyright 2009 ZXY Systems, Inc. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of ZXY Systems, Inc. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from ZXY Systems, Inc.
 *
 ****************************************************************************
 */

package com.cim.idm.wmspackage.user.management.data;

import com.cim.idm.framework.orm.info.access.FieldAccessor;
import com.fasterxml.jackson.annotation.JsonFormat;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.user.management.data
 *  NAME    : UserInfo.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class PortalResp extends FieldAccessor
{
	private String code;
	private String text;
	private PortalUser data;
	
	// Getter for code
    public String getCode() {
        return code;
    }

    // Setter for code
    public void setCode(String code) {
        this.code = code;
    }

    // Getter for text
    public String getText() {
        return text;
    }

    // Setter for text
    public void setText(String text) {
        this.text = text;
    }

    // Getter for portalUser
    public PortalUser getData() {
        return data;
    }

    // Setter for portalUser
    public void setData(PortalUser data) {
        this.data = data;
    }
}
